// Fill out your copyright notice in the Description page of Project Settings.


#include "VisionLink.h"

void AVisionLink::BeginPlay()
{
	Super::BeginPlay();
	SetActorTickEnabled(false);
	CooldownLength = CooldownTime;
}

	

void AVisionLink::Tick(float DeltaSeconds)
{
	Super::Tick(DeltaSeconds);
}

void AVisionLink::Activate()
{
	if (GadgetCantBeUsed()) return;

	Super::Activate();
	SetActorTickEnabled(true);
	SwitchToActiveWatchFace();
}

void AVisionLink::FinishedUsing()
{
	SetActorTickEnabled(false);
	SwitchToRechargingWatchFace();
	
	Super::FinishedUsing();
}


